import {TextField, Typography} from "@mui/material";
import Bank from "../../data/Bank.ts";

const styles = {
    textfield: {
        marginBottom: 1
    }
}

const BankInput = ({bank, setBank}: { bank: Bank, setBank: any }) => {
    return (
        <>
            <Typography variant={"h2"}>Bankdaten</Typography>
            <TextField id="outlined-basic" label="Bank" variant="outlined" fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newBank = Object.assign(new Bank(), bank);
                           newBank.setName(event.target.value);
                           setBank(newBank);
                       }}/>
            <TextField id="outlined-basic" label="IBAN" variant="outlined" error={!bank.isIbanCorrect()}
                       fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newBank = Object.assign(new Bank(), bank);
                           newBank.setIban(event.target.value);
                           setBank(newBank);
                       }}/>
            <TextField id="outlined-basic" label="BIC" variant="outlined" error={!bank.isBicCorrect()}
                       fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newBank = Object.assign(new Bank(), bank);
                           newBank.setBic(event.target.value);
                           setBank(newBank);
                       }}/>
        </>
    );
}

export default BankInput;