import {TextField, Typography} from "@mui/material";
import Person from "../../data/Person.ts";
import {DatePicker} from "@mui/x-date-pickers/DatePicker";
import dayjs from "dayjs";

const styles = {
    textfield: {
        marginBottom: 1,
        width: "100%"
    }
}

const PersonInput = ({person, setPerson}: { person: Person, setPerson: any }) => {
    return (
        <>
            <Typography variant={"h2"}>Personendaten</Typography>
            <TextField id="outlined-basic" label="Name" variant="outlined" fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setName(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <TextField id="outlined-basic" label="Straße und Hausnummer" variant="outlined" fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setStreet(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <TextField id="outlined-basic" label="PLZ und Ort" variant="outlined"
                       error={!person.isPlzOrtCorrect()} fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setPlzOrt(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <TextField id="outlined-basic" label="Mobil" variant="outlined" fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setMobile(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <TextField id="outlined-basic" label="E-Mail" variant="outlined"
                       error={!person.isEmailCorrect()} fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setEmail(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <TextField id="outlined-basic" label="Steuer-ID" variant="outlined"
                       error={!person.isTaxIdCorrect()} fullWidth
                       sx={styles.textfield}
                       onChange={(event: React.ChangeEvent<HTMLInputElement>) => {
                           const newPerson = Object.assign(new Person(), person);
                           newPerson.setTaxId(event.target.value);
                           setPerson(newPerson);
                       }}/>
            <DatePicker label="Geburtsdatum"
                        sx={styles.textfield}
                        onChange={(newvalue) => {
                            const newPerson = Object.assign(new Person(), person);
                            newPerson.setBirthDate(dayjs(newvalue));
                            setPerson(newPerson);
                        }}/>
        </>
    );
}

export default PersonInput;