import {Box, Button, Typography} from "@mui/material";
import AddIcon from '@mui/icons-material/Add';
import Person from "../../data/Person.ts";
import Bank from "../../data/Bank.ts";
import PersonInput from "../molecules/PersonInput.tsx";
import BankInput from "../molecules/BankInput.tsx";
import PostenInput from "../molecules/PostenInput.tsx";
import Posten from "../../data/Posten.ts";

const Inputs = ({person, setPerson, bank, setBank, posten, setPosten}: {
    person: Person,
    setPerson: any,
    bank: Bank,
    setBank: any,
    posten: Posten[],
    setPosten: any
}) => {
    return (
        <>
            <Box sx={{maxWidth: 500, margin: "auto"}}>
                <PersonInput person={person} setPerson={setPerson}/>

                <BankInput bank={bank} setBank={setBank}/>
            </Box>
            <Box sx={{margin: 10}}>
                <Typography variant={"h2"}>Posten</Typography>
                {posten.map((thisPosten: Posten) => {
                    return (
                        <PostenInput thisPosten={thisPosten} posten={posten} setPosten={setPosten}/>
                    );
                })}
                <Button variant={"contained"}
                        onClick={() => {
                            const newId = posten.length + 1;
                            const newPosten = new Posten(newId);
                            const newList = posten.concat(newPosten);
                            setPosten(newList);
                        }}
                >
                    <AddIcon
                    />
                </Button>
            </Box>
        </>
    );
}

export default Inputs;