import {StyleSheet, Text, View} from "@react-pdf/renderer";

const styles = StyleSheet.create({
    box: {
        width: "100%",
        backgroundColor: "#ff0000",
        display: "flex",
        justifyContent: "center",
        marginBottom: 10,
    },

    text: {
        fontSize: 20,
        textAlign: "center",
        color: "#ffffff",
    }
});

const WarningBox = ({incorrect}: { incorrect: boolean | undefined }) => {
    if (incorrect) {
        return (
            <View style={styles.box}>
                <Text style={styles.text}>Es gibt einen Fehler mit der Eingabe!</Text>
                <Text style={styles.text}>Bitte prüfe die rot markierten Datenfelder!</Text>
            </View>
        );
    }
    return (
        <View style={styles.box}>
            <Text style={styles.text}>Es sind noch nicht alle Daten ausgefüllt!</Text>
            <Text style={styles.text}>Bitte fülle alle Datenfelder auf der linken Seite aus!</Text>
        </View>
    );
}

export default WarningBox;